<?php
/*

# ------------------------------------------------------------------------
# JA Corona template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

include_once (dirname(__FILE__).DS.'/ja_templatetools_1.5.php');

$tmpTools = new JA_Tools($this,array(JA_TOOL_MENU));
$ja_screen_sizes = array ('narrow','wide'); // You can add more color array if needed
$ja_color_themes = array('default','black'); // You can add more color array if needed
$tmpTools->setScreenSizes($ja_screen_sizes);
$tmpTools->setColorThemes($ja_color_themes);

# Auto Collapse Divs Functions ##########
$ja_left = $this->countModules('left');
$ja_right = $this->countModules('right');

if ( $ja_left && $ja_right ) {
  //2 columns
	$divid = '';
} elseif ( ($ja_left || $ja_right) ) {
  //One column
	$divid = '-c';
} else {
  //Full
	$divid = '-f';
}

$curidx = $tmpTools->getCurrentMenuIndex();
//if ($curidx) $curidx--;

//Calculate the width of template
$tmpWidth = '';
$tmpWrapMin = '100%';
switch ($tmpTools->getParam(JA_TOOL_SCREEN)){
	case 'auto':
		$tmpWidth = '97%';
		break;
	case 'fluid':
		$tmpWidth = intval($tmpTools->getParam('ja_screen_width'));
		$tmpWidth = $tmpWidth ? $tmpWidth.'%' : '90%';
		break;
	case 'fix':
		$tmpWidth = intval($tmpTools->getParam('ja_screen_width'));
		$tmpWrapMin = $tmpWidth ? ($tmpWidth+1).'px' : '751px';
		$tmpWidth = $tmpWidth ? $tmpWidth.'px' : '750px';
		break;		
	default:
		$tmpWidth = intval($tmpTools->getParam(JA_TOOL_SCREEN));
		$tmpWrapMin = $tmpWidth ? ($tmpWidth+1).'px' : '751px';
		$tmpWidth = $tmpWidth ? $tmpWidth.'px' : '750px';
		break;
}

//Main navigation
$ja_menutype = $tmpTools->getParam(JA_TOOL_MENU);
include_once( dirname(__FILE__).DS.'ja_menus/Base.class.php' );
$japarams = JA_Base::createParameterObject('');
$japarams->set( 'menutype', $tmpTools->getParam('menutype', 'mainmenu') );
$japarams->set( 'menu_images_align', 'left' );
$japarams->set( 'menupath', $tmpTools->templateurl() .'/ja_menus');
$japarams->set('menu_title', 1);
switch ($ja_menutype) {
	case 'css':
		$menu = "CSSmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 'moo':
		$menu = "Moomenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 'slide':
		$menu = "Slidemenu";
		//Options for slide menu
		//Navwidth: the width of main navigation in pixel
		//offwidth: the hidden width
		//showactive: show/hide the active item
		$options = "{
			navwidth: 0,
			offwidth: 64,
			showactive: true
		}";
		$japarams->set('options', $options);
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 'dropline':
		$menu = "DLmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 'trans':
		$menu = "Transmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 'split':
	default:
		$menu = "Splitmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
}
$menuclass = "JA_$menu";
$jamenu = new $menuclass ($japarams);

$hasSubnav = false;
if ($jamenu->hasSubMenu (1) && $jamenu->showSeparatedSub ) 
	$hasSubnav = true;
//End for main navigation

?>
